# Get logs/product/operation

`GET https://api.parklio.com/v2/logs/product/operation/{id}`

This endpoint allows the user to get logs/product/operation by id

**Auth:** `Authorization: Bearer <token>`

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | string | yes |  |

## Responses

### 200

```json
{
  "success": true,
  "data": {
    "id": 1,
    "account_user_id": 1,
    "zone_id": 1,
    "account_user": {
      "id": 1,
      "email": "john.doe@example.com",
      "name": "John Doe"
    },
    "product_id": 1,
    "product": {
      "id": 1,
      "device_id": "B123456",
      "name": "B123456",
      "power_type": "battery",
      "lot_id": 1,
      "zone_id": 1,
      "product_type_id": 1,
      "status": "online"
    },
    "operation_type": "open",
    "type_of_access": "app",
    "created_at": "2026-01-15T09:30:00.000Z"
  }
}
```

### 401 — Account user is not logged in and they should log in again.

```json
{
  "success": false,
  "errors": [
    {
      "code": 1,
      "message": "Unauthorized access."
    }
  ]
}
```

### 403 — User does not have permission to access requested resource.

```json
{
  "success": false,
  "errors": [
    {
      "code": 4,
      "message": "No permission."
    }
  ]
}
```

### 404 — Resource that has been requested does not exist. User should not try to repeat this request.

```json
{
  "success": false,
  "errors": [
    {
      "code": 6,
      "message": "Resource not found."
    }
  ]
}
```

